## org.apache.lucene.xmlparser.builders
Class BooleanFilterBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.BooleanFilterBuilder

All Implemented Interfaces:
  FilterBuilder

    public class BooleanFilterBuilder

extends Object
implements FilterBuilder

Author:
  maharwood

Constructor Summary
`BooleanFilterBuilder(FilterBuilder factory)`

Method Summary
`Filter` `getFilter(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanFilterBuilder

    public BooleanFilterBuilder(FilterBuilder factory)

Method Detail

### getFilter

    public Filter getFilter(Element e)
                     throws ParserException

  Specified by:
    `getFilter` in interface `FilterBuilder`
  Throws:
    `ParserException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.